#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 2.1.2
%global		branding_index 80
%global		branding_name rhs
%global		branding_interface_version 1

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	BIN_DIR=%{_bindir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	%{?null}

Summary:	oVirt Engine %{branding_name} branding
Name:		rhsc-branding-rhs
Version:	2.1.6
Release:	1.0%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	%{name}-%{package_version}-7.0.tar.gz
Source1:    migrate-rhs-classic-to-rhsm
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	rhevm-branding-rhev

%description
Branding package for %{branding_name} branding.

%prep
%setup -q -n %{name}-%{package_version}

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"
install -d -m 0755 "%{buildroot}%{_sysconfdir}/ovirt-engine/branding"
ln -s \
	"%{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand" \
	"%{buildroot}%{_sysconfdir}/ovirt-engine/branding/%{branding_index}-%{branding_name}-%{branding_interface_version}.brand"
install -d -m 0755 "%{buildroot}%{_datadir}/ovirt-engine/bin"
install -m 0755 %{SOURCE1} "%{buildroot}%{_datadir}/ovirt-engine/bin/"
install -d "%{buildroot}%{_bindir}"
ln -sf "%{_datadir}/ovirt-engine/bin/migrate-rhs-classic-to-rhsm" "%{buildroot}%{_bindir}/migrate-rhs-classic-to-rhsm"

%files
%{_sysconfdir}/ovirt-engine/branding/%{branding_index}-%{branding_name}-%{branding_interface_version}.brand
%dir %{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand
%{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand
%{_datadir}/ovirt-engine/bin/migrate-rhs-classic-to-rhsm
%{_bindir}/migrate-rhs-classic-to-rhsm

%changelog
* Wed Oct 08 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.6-1.0
- Fixed bz#1145134

* Tue Sep 02 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.5-2.0
- Moved the migration script to /usr/share/ovirt-engine/bin
  and created a symlink from /usr/bin

* Mon Jul 21 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.5-1.0
- Renamed rhs-upgrade to migrate-rhs-classic-to-rhsm

* Fri Jul 11 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.4-1.0
- fixed bz#1114894

* Fri Jan 24 2014 Bala.FA <barumuga@redhat.com> - 2.1.2-7.0
- fix bz#1055442: clicking on Developer Guide pdf gives "page not
                  found click here to continue"

* Thu Dec 19 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-6.0
- added link to Developer guide

* Wed Dec 11 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-5.0
- Corrected the redirection problem in welcome page
- changing the doc links according to the latest doc names and links
- Fixing links for CLI/Installation guide

* Fri Nov 29 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-4.0
- fix bz#1012278: The IP address of the RHSC management server in the
                  browser address bar does not automatically navigate
                  to the webadmin portal login page, and the page that
                  is displayed has links to many resources that are
                  not relevant to RHSC

* Fri Nov 15 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-3.0
- fix bz#975414 - Feedback button in UI is redirecting to rhev-beta
                  page instead of rhsc page

* Sat Nov 09 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-2.0
- fix bz#991027 - About in rhsc shows " Red Hat Storage Console
                  Version: 2.1.0-0.bb8.el6rhs (c) 2012 Red Hat
                  Inc. All rights reserved."

* Tue Oct 29 2013 Bala.FA <barumuga@redhat.com> - 2.1.2-1.0
- first rhsc-branding build

* Mon Aug 26 2013 Alexander Wels <awels@redhat.com> - 3.3.0-1
- Added branding package: rhbz#999506
